plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
}

android {
    compileSdk = rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {

    implementation fileTree(include: ['*.jar', '*.aar'], dir: 'libs')

    implementation project(':lib_ad_core')
    api "com.gromore.cn:gromore-sdk:3.6.0.2"
    implementation "com.gromore.cn:pangle-adapter:4.7.1.2.0"

    implementation 'androidx.core:core-ktx:1.8.0'
    implementation 'androidx.appcompat:appcompat:1.5.1'
    implementation 'com.google.android.material:material:1.6.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'


    //mintegral
    implementation("com.mbridge.msdk.support:videojs:16.1.97")
    implementation("com.mbridge.msdk.support:mbjscommon:16.1.97")
    implementation("com.mbridge.msdk.support:playercommon:16.1.97")
    implementation("com.mbridge.msdk.support:reward:16.1.97")
    implementation("com.mbridge.msdk.support:videocommon:16.1.97")
    implementation("com.mbridge.msdk.support:chinasame:16.1.97")
    implementation("com.mbridge.msdk.support:interstitialvideo:16.1.97")
    implementation("com.mbridge.msdk.support:mbnative:16.1.97")
    implementation("com.mbridge.msdk.support:nativeex:16.1.97")
    implementation("com.mbridge.msdk.support:mbnativeadvanced:16.1.97")
    implementation("com.mbridge.msdk.support:interstitial:16.1.97")
    implementation("com.mbridge.msdk.support:mbbanner:16.1.97")
    implementation("com.mbridge.msdk.support:mbsplash:16.1.97")
    implementation("com.mbridge.msdk.support:mbbid:16.1.97")
    implementation("com.mbridge.msdk.support:newinterstitial:16.1.97")
}